=== debian/changelog ===
hypre (2.8.0b-3) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort.
  * Bump debhelper compat level to 9
  * Drop useless build-dependency on quilt.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Use HTTPS in the Vcs-* fields.
  * debian/control: fix weak-library-dev-dependency lintian error.
  * Fix FTBFS by using libtoolize --force.  Closes: #815781

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 12:19:49 +0000

hypre (2.8.0b-2) unstable; urgency=medium

  * Team upload.
  * Use libsuperlu-dev instead of libsuperlu3-dev.
  * Update alternative dependencies on BLAS/LAPACK development libraries.
  * Add watch file.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Feb 2014 21:22:23 +0100

hypre (2.8.0b-1) unstable; urgency=low

  * New upstream using babel source (closes: #570055, #617406).
  * Changed 2.8.0 to 2.8.0b full version in package names etc.
  * Rebuild with new mpi-defaults (closes: #652310).
  * Split shlibs.patch into fgmres-lib.patch, flexgmres-to-parcsr_ls.patch and
    and shlibs-interlink.patch for easier forward-porting.
  * Patched to install all libraries.
  * Patched configure.in so "aclocal -I ." works.
  * Move aside files which would otherwise be destroyed by make clean.
  * Added build-arch and build-indep targets to debian/rules.
  * Removed unnecessary patch and unpatch targets from debian/rules.
  * Removed spurious hypre-doc reference from control.
  * Updated VCS info in control.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 21 Dec 2011 08:59:27 -0500
