=== debian/control ===
Source: hypre
Section: math
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.7
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 9),
 gfortran,
 libblas-dev | libblas.so,
 liblapack-dev | liblapack.so,
 libltdl-dev,
 libsuperlu-dev,
 libtool,
 mpi-default-dev,
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/hypre.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/hypre.git
Homepage: http://acts.nersc.gov/hypre/

Package: libhypre-2.8.0b
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High Performance Matrix Preconditioners - Shared Library
 Hypre is a set of matrix preconditioning libraries to aid in the solution of
 large systems of linear equations.
 .
 This package contains the shared libraries.

Package: libhypre-dev
Architecture: all
Section: libdevel
Depends:
 libblas-dev | libblas.so,
 libhypre-2.8.0b (>= ${source:Version}),
 libhypre-2.8.0b (<< ${source:Version}+1~),
 liblapack-dev | liblapack.so,
 libsuperlu-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: High Performance Matrix Preconditioners - Development Files
 Hypre is a set of matrix preconditioning libraries to aid in the solution of
 large systems of linear equations.
 .
 This package contains the headers and symlinks necessary to develop programs
 which use hypre.
