=== debian/watch ===
version=3
opts=downloadurlmangle=s%(/hypre-\d.*)_reg\.html$%$1.tar.gz% \
http://computation.llnl.gov/casc/hypre/software.html .*/hypre-(\d.*)_reg\.html
